List all versions (commits) of table id with their metadata.
Use descending=true to guarantee versions are returned in descending order (latest to oldest).
Otherwise, the ordering is implementation-defined.
REST NAMESPACE ONLY
REST namespace does not use a request body for this operation.
The ListTableVersionsRequest information is passed in the following way:
id: pass through path parameter of the same name
page_token: pass through query parameter of the same name
limit: pass through query parameter of the same name
descending: pass through query parameter of the same name
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
id
string
required
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
delimiter
string
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
branch
string
Optional branch to target. When not specified, the main branch is used.
Used by branch-scoped operations that cannot carry a branch field in
their request body (Arrow IPC stream and bodyless operations). Operations
with a JSON request body carry branch as a body field instead.
page_token
string | null
Pagination token from a previous request
An opaque token that allows pagination for list operations (e.g. ListNamespaces).
For an initial request of a list operation,
if the implementation cannot return all items in one response,
or if there are more items than the page limit specified in the request,
the implementation must return a page token in the response,
indicating there are more results available.
After the initial request,
the value of the page token from each response must be used
as the page token value for the next request.
Caller must interpret either null,
missing value or empty string value of the page token from
the implementation's response as the end of the listing results.
limit
integer | null
Maximum number of items to return
An inclusive upper bound of the
number of results that a caller will receive.
descending
boolean
When true, versions are guaranteed to be returned in descending order (latest to oldest).
When false or not specified, the ordering is implementation-defined.
Response
List of table versions
versions
object[]
required
List of table versions. When descending=true, guaranteed to be ordered from latest to oldest.
Otherwise, ordering is implementation-defined.
Show child attributes
context
object
Arbitrary context as key-value pairs.
How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation.
On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
On a request, any entry whose key starts with header. is sent as an HTTP
request header with the prefix stripped. For example, the entry
{"header.Authorization": "Bearer abc"} is sent as the request header
Authorization: Bearer abc.
On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with header.. For example, the response header
x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
Show child attributes
page_token
string | null
An opaque token that allows pagination for list operations (e.g. ListNamespaces).
For an initial request of a list operation,
if the implementation cannot return all items in one response,
or if there are more items than the page limit specified in the request,
the implementation must return a page token in the response,
indicating there are more results available.
After the initial request,
the value of the page token from each response must be used
as the page token value for the next request.
Caller must interpret either null,
missing value or empty string value of the page token from
the implementation's response as the end of the listing results.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"LanceDB","colors":{"primary":"#FF6B35","light":"#FF8A5C","dark":"#E55A2B"},"logo":{"light":"https://mintcdn.com/lancedb-bcbb4faf/6L0IRVkfdlgMU1Pw/static/assets/logo/dark-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=6L0IRVkfdlgMU1Pw\u0026q=85\u0026s=d0592e59a29df2477080a857e13e341f","dark":"https://mintcdn.com/lancedb-bcbb4faf/t0AGunBr6LulGkIJ/static/assets/logo/light-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=t0AGunBr6LulGkIJ\u0026q=85\u0026s=9b508fcb8d83cbc9bd05e57227d739e9","href":"https://lancedb.com"},"favicon":"https://mintcdn.com/lancedb-bcbb4faf/0sS6vrpmM3KSVyss/static/favicon.ico?fit=max\u0026auto=format\u0026n=0sS6vrpmM3KSVyss\u0026q=85\u0026s=84b9ea3dfc312b7a4dfc99219e229b33","appearance":{"strict":false},"background":{"color":{"light":"#FAF5F0","dark":"#000000"}},"navbar":{"links":[{"href":"https://www.lancedb.com/contact","label":"Support"}]},"footer":{"socials":{"github":"https://github.com/lancedb","linkedin":"https://www.linkedin.com/company/lancedb","x":"https://x.com/lancedb","discord":"https://discord.gg/AUEWnJ7Txb"},"links":[{"items":[{"label":"Cookie settings","href":"#cookie-settings"}]}]},"fonts":{"family":"Inter"},"styling":{"codeblocks":{"theme":{"light":"vitesse-light","dark":"catppuccin-mocha"}},"latex":true},"integrations":{"ga4":{"measurementId":"G-1TMC2PR69E"}},"banner":{"content":"[AI research has outgrown the modern data stack. We raised $57.5M to rebuild it. Read our Series B story →](https://www.lancedb.com/blog/lancedb-series-b-funding?utm_campaign=series-b-funding\u0026utm_content=docs\u0026utm_medium=lancedb\u0026utm_source=banner)","dismissible":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lancedb-bcbb4faf","hasAudioNarration":false,"actualSubdomain":"lancedb-bcbb4faf","customDomains":["docs.lancedb.com"],"gitSource":{"type":"github","owner":"lancedb","repo":"docs","deployBranch":"assembled","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":"","_id":"6af512fe0902081a53d8698c"},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b008022286e5a483262aeff","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"default","tag":"Documentation","count":366},{"language":"default","tag":"Enterprise","count":343},{"language":"default","tag":"Embedded","count":340},{"language":"default","tag":"API Reference","count":113},{"language":"default","tag":"REST API","count":110},{"language":"default","tag":"Feature Engineering","count":90},{"language":"default","tag":"Table","count":88},{"language":"default","tag":"Integrations","count":84},{"language":"default","tag":"SQL Reference","count":80},{"language":"default","tag":"Geneva","count":68}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"static/styles/style.css","content":":root{--banner-left: #e4d8f8;--banner-right: #e55a2b}@font-face{font-family:\"LanceDB KaTeX AMS\";src:url(\"https://cdn.jsdelivr.net/npm/katex@0.16.0/dist/fonts/KaTeX_AMS-Regular.woff2\") format(\"woff2\");font-display:swap;font-style:normal;font-weight:400}.katex .mathbb,.katex .textbb{font-family:\"LanceDB KaTeX AMS\", \"KaTeX_AMS\", serif!important}#banner,:where(.banner,[data-banner],[class*=\"Banner_banner\"]){background:linear-gradient(90deg, var(--banner-left) 0%, var(--banner-right) 100%)!important;color:#1b0f09!important;border:none!important}#banner a,:where(.banner,[data-banner],[class*=\"Banner_banner\"]) a{color:#1b0f09!important;font-size:0.9rem;font-weight:500;text-decoration-color:rgba(27, 15, 9, 0.35)}#banner button,:where(.banner,[data-banner],[class*=\"Banner_banner\"]) button{color:#1b0f09!important}"}]}
{"page":{"pagePath":"enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table","slug":"/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table","pageMetadata":{"title":"List all versions of a table","description":"List all versions (commits) of table `id` with their metadata.\n\nUse `descending=true` to guarantee versions are returned in descending order (latest to oldest).\nOtherwise, the ordering is implementation-defined.\n\nREST NAMESPACE ONLY\nREST namespace does not use a request body for this operation.\nThe `ListTableVersionsRequest` information is passed in the following way:\n- `id`: pass through path parameter of the same name\n- `page_token`: pass through query parameter of the same name\n- `limit`: pass through query parameter of the same name\n- `descending`: pass through query parameter of the same name\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"List all versions (commits) of table \", _jsx(_components.code, {\n children: \"id\"\n }), \" with their metadata.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Use \", _jsx(_components.code, {\n children: \"descending=true\"\n }), \" to guarantee versions are returned in descending order (latest to oldest).\\nOtherwise, the ordering is implementation-defined.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"REST NAMESPACE ONLY\\nREST namespace does not use a request body for this operation.\\nThe \", _jsx(_components.code, {\n children: \"ListTableVersionsRequest\"\n }), \" information is passed in the following way:\"]\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"id\"\n }), \": pass through path parameter of the same name\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"page_token\"\n }), \": pass through query parameter of the same name\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"limit\"\n }), \": pass through query parameter of the same name\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"descending\"\n }), \": pass through query parameter of the same name\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"vitesse-light","dark":"catppuccin-mocha"}},"config":{},"pageMetadata":{"title":"List all versions of a table","description":"List all versions (commits) of table `id` with their metadata.\n\nUse `descending=true` to guarantee versions are returned in descending order (latest to oldest).\nOtherwise, the ordering is implementation-defined.\n\nREST NAMESPACE ONLY\nREST namespace does not use a request body for this operation.\nThe `ListTableVersionsRequest` information is passed in the following way:\n- `id`: pass through path parameter of the same name\n- `page_token`: pass through query parameter of the same name\n- `limit`: pass through query parameter of the same name\n- `descending`: pass through query parameter of the same name\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/lancedb-bcbb4faf/17e8f66511a11582/static/scripts/cookie-consent.js"],"openApiReferenceData":{"operation":{"tags":["Table","Metadata"],"summary":"List all versions of a table","operationId":"ListTableVersions","description":"List all versions (commits) of table `id` with their metadata.\n\nUse `descending=true` to guarantee versions are returned in descending order (latest to oldest).\nOtherwise, the ordering is implementation-defined.\n\nREST NAMESPACE ONLY\nREST namespace does not use a request body for this operation.\nThe `ListTableVersionsRequest` information is passed in the following way:\n- `id`: pass through path parameter of the same name\n- `page_token`: pass through query parameter of the same name\n- `limit`: pass through query parameter of the same name\n- `descending`: pass through query parameter of the same name\n","responses":{"200":"2dae48b1-9d4a-4c89-8b0d-bc7d9856aab4","400":"73911149-acd2-45af-a948-7062d0ea06f4","401":"6bd31935-f029-4231-a357-f443ecd3125c","403":"32b6baed-6728-4d69-9d1e-ef840f69b2c1","404":"595d7ae8-56ec-48a5-ab0c-f7bcaa6f6af4","503":"7b1371ea-fb7d-4783-ae32-a47f2e443dc1","5XX":"c1fc4c60-223d-4602-8e02-dcec642fe9b7"},"method":"post","type":"path","servers":["a40665d1-8e67-4bdb-8175-f346b1fd5a7a","d7a67d71-70ea-46ed-bd7b-708a784bdb59","77b3bc50-020e-4478-93ea-269de6291b3d"],"security":["cab77f0f-a296-40e5-bb38-892775181914","4ef373e9-0a2b-4417-a4c5-e4009c27bf28","4e9cdb19-4cb2-4dae-8785-b73fa8569e8a"],"path":"/v1/table/{id}/version/list","baseUrlOptions":["http://localhost:2333","{scheme}://{host}:{port}/{basePath}","{scheme}://{host}/{basePath}"],"title":"List all versions of a table","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"6dbc7a77-9aaf-470b-a3ca-1abd86fc4044":{"name":"id","description":"`string identifier` of an object in a namespace, following the Lance Namespace spec.\nWhen the value is equal to the delimiter, it represents the root namespace.\nFor example, `v1/namespace/$/list` performs a `ListNamespace` on the root namespace.\n","in":"path","required":true,"schema":{"type":"string","isRequired":true,"description":"`string identifier` of an object in a namespace, following the Lance Namespace spec.\nWhen the value is equal to the delimiter, it represents the root namespace.\nFor example, `v1/namespace/$/list` performs a `ListNamespace` on the root namespace.\n","uniqueKey":"","typeLabel":"string"}},"0d5debd1-ecda-44fd-9d27-49737a45aa68":{"name":"delimiter","description":"An optional delimiter of the `string identifier`, following the Lance Namespace spec.\nWhen not specified, the `$` delimiter must be used.\n","in":"query","required":false,"schema":{"type":"string","isRequired":false,"description":"An optional delimiter of the `string identifier`, following the Lance Namespace spec.\nWhen not specified, the `$` delimiter must be used.\n","uniqueKey":"","typeLabel":"string"}},"21e2df29-1f4b-4b2a-9196-7cc5653d1b29":{"name":"branch","description":"Optional branch to target. When not specified, the main branch is used.\nUsed by branch-scoped operations that cannot carry a `branch` field in\ntheir request body (Arrow IPC stream and bodyless operations). Operations\nwith a JSON request body carry `branch` as a body field instead.\n","in":"query","required":false,"schema":{"type":"string","isRequired":false,"description":"Optional branch to target. When not specified, the main branch is used.\nUsed by branch-scoped operations that cannot carry a `branch` field in\ntheir request body (Arrow IPC stream and bodyless operations). Operations\nwith a JSON request body carry `branch` as a body field instead.\n","uniqueKey":"","typeLabel":"string"}},"cb670832-4568-4769-9420-5e8c36de1ff7":{"name":"page_token","description":"Pagination token from a previous request","in":"query","required":false,"schema":{"oneOf":[{"description":"Pagination token from a previous request\nAn opaque token that allows pagination for list operations (e.g. ListNamespaces).\n\nFor an initial request of a list operation,\nif the implementation cannot return all items in one response,\nor if there are more items than the page limit specified in the request,\nthe implementation must return a page token in the response,\nindicating there are more results available.\n\nAfter the initial request,\nthe value of the page token from each response must be used\nas the page token value for the next request.\n\nCaller must interpret either `null`,\nmissing value or empty string value of the page token from\nthe implementation's response as the end of the listing results.\n","type":"string","uniqueKey":"oneOf.0","typeLabel":"string"},{"description":"Pagination token from a previous request\nAn opaque token that allows pagination for list operations (e.g. ListNamespaces).\n\nFor an initial request of a list operation,\nif the implementation cannot return all items in one response,\nor if there are more items than the page limit specified in the request,\nthe implementation must return a page token in the response,\nindicating there are more results available.\n\nAfter the initial request,\nthe value of the page token from each response must be used\nas the page token value for the next request.\n\nCaller must interpret either `null`,\nmissing value or empty string value of the page token from\nthe implementation's response as the end of the listing results.\n","type":"null","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"78a127c5-68c8-4adf-9e0d-6a36fe6758b7":{"name":"limit","description":"Maximum number of items to return","in":"query","required":false,"schema":{"oneOf":[{"description":"Maximum number of items to return\nAn inclusive upper bound of the\nnumber of results that a caller will receive.\n","type":"integer","uniqueKey":"oneOf.0","typeLabel":"integer"},{"description":"Maximum number of items to return\nAn inclusive upper bound of the\nnumber of results that a caller will receive.\n","type":"null","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"integer | null"}},"9e86344a-542c-496b-8a4a-dd9f117cc4c8":{"name":"descending","in":"query","description":"When true, versions are guaranteed to be returned in descending order (latest to oldest).\nWhen false or not specified, the ordering is implementation-defined.\n","required":false,"schema":{"type":"boolean","isRequired":false,"description":"When true, versions are guaranteed to be returned in descending order (latest to oldest).\nWhen false or not specified, the ordering is implementation-defined.\n","uniqueKey":"","typeLabel":"boolean"}}},"responses":{"2dae48b1-9d4a-4c89-8b0d-bc7d9856aab4":{"description":"List of table versions","content":{"application/json":{"schema":{"type":"object","required":["versions"],"properties":{"versions":{"type":"array","items":{"type":"object","required":["version","manifest_path"],"properties":{"version":{"type":"integer","format":"int64","minimum":0,"description":"Version number","isRequired":true,"uniqueKey":"versions.items.[INDEX].version","typeLabel":"integer\u003cint64>"},"manifest_path":{"type":"string","description":"Path to the manifest file for this version.","isRequired":true,"uniqueKey":"versions.items.[INDEX].manifest_path","typeLabel":"string"},"manifest_size":{"type":"integer","format":"int64","minimum":0,"description":"Size of the manifest file in bytes","uniqueKey":"versions.items.[INDEX].manifest_size","typeLabel":"integer\u003cint64>"},"e_tag":{"type":"string","description":"Optional ETag for optimistic concurrency control.\nUseful for S3 and similar object stores.\n","uniqueKey":"versions.items.[INDEX].e_tag","typeLabel":"string"},"timestamp_millis":{"type":"integer","format":"int64","description":"Timestamp when the version was created, in milliseconds since epoch (Unix time)","uniqueKey":"versions.items.[INDEX].timestamp_millis","typeLabel":"integer\u003cint64>"},"metadata":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"versions.items.[INDEX].metadata.additionalProperties","typeLabel":"string"},"description":"Optional key-value pairs of metadata","uniqueKey":"versions.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"versions.items.[INDEX]","typeLabel":"object"},"description":"List of table versions. When `descending=true`, guaranteed to be ordered from latest to oldest.\nOtherwise, ordering is implementation-defined.\n","isRequired":true,"uniqueKey":"versions","typeLabel":"object[]"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"page_token":{"oneOf":[{"description":"An opaque token that allows pagination for list operations (e.g. ListNamespaces).\n\nFor an initial request of a list operation,\nif the implementation cannot return all items in one response,\nor if there are more items than the page limit specified in the request,\nthe implementation must return a page token in the response,\nindicating there are more results available.\n\nAfter the initial request,\nthe value of the page token from each response must be used\nas the page token value for the next request.\n\nCaller must interpret either `null`,\nmissing value or empty string value of the page token from\nthe implementation's response as the end of the listing results.\n","type":"string","uniqueKey":"page_token.oneOf.0","typeLabel":"string"},{"description":"An opaque token that allows pagination for list operations (e.g. ListNamespaces).\n\nFor an initial request of a list operation,\nif the implementation cannot return all items in one response,\nor if there are more items than the page limit specified in the request,\nthe implementation must return a page token in the response,\nindicating there are more results available.\n\nAfter the initial request,\nthe value of the page token from each response must be used\nas the page token value for the next request.\n\nCaller must interpret either `null`,\nmissing value or empty string value of the page token from\nthe implementation's response as the end of the listing results.\n","type":"null","uniqueKey":"page_token.oneOf.1","typeLabel":"null"}],"uniqueKey":"page_token","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"versions":[{"version":1,"manifest_path":"\u003cstring>","manifest_size":1,"e_tag":"\u003cstring>","timestamp_millis":123,"metadata":{}}],"context":{},"page_token":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"73911149-acd2-45af-a948-7062d0ea06f4":{"description":"Indicates a bad request error. It could be caused by an unexpected request body format or other forms of request validation failure, such as invalid json. Usually serves application/json content, although in some cases simple text/plain content might be returned by the server's middleware.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/bad-request","title":"Malformed request","status":400,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/bad-request","title":"Malformed request","status":400,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"6bd31935-f029-4231-a357-f443ecd3125c":{"description":"Unauthorized. The request lacks valid authentication credentials for the operation.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/unauthorized-request","title":"No valid authentication credentials for the operation","status":401,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/unauthorized-request","title":"No valid authentication credentials for the operation","status":401,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"32b6baed-6728-4d69-9d1e-ef840f69b2c1":{"description":"Forbidden. Authenticated user does not have the necessary permissions.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/forbidden-request","title":"Not authorized to make this request","status":403,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/forbidden-request","title":"Not authorized to make this request","status":403,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"595d7ae8-56ec-48a5-ab0c-f7bcaa6f6af4":{"description":"A server-side problem that means can not find the specified resource.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/not-found-error","title":"Not found Error","status":404,"detail":"","instance":"/v1/namespaces/{ns}"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/not-found-error","title":"Not found Error","status":404,"detail":"","instance":"/v1/namespaces/{ns}"}}},"exampleType":"examples"}},"exampleType":"examples"},"7b1371ea-fb7d-4783-ae32-a47f2e443dc1":{"description":"The service is not ready to handle the request. The client should wait and retry. The service may additionally send a Retry-After header to indicate when to retry.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/service-unavailable","title":"Slow down","status":503,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/service-unavailable","title":"Slow down","status":503,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"c1fc4c60-223d-4602-8e02-dcec642fe9b7":{"description":"A server-side problem that might not be addressable from the client side. Used for server 5xx errors without more specific documentation in individual routes.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/server-error","title":"Internal Server Error","status":500,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/server-error","title":"Internal Server Error","status":500,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"cab77f0f-a296-40e5-bb38-892775181914":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{}}},"scopes":[],"schemeName":"OAuth2"}},"4ef373e9-0a2b-4417-a4c5-e4009c27bf28":{"BearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"}},"4e9cdb19-4cb2-4dae-8785-b73fa8569e8a":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"a40665d1-8e67-4bdb-8175-f346b1fd5a7a":{"url":"http://localhost:2333","description":"Default local server"},"d7a67d71-70ea-46ed-bd7b-708a784bdb59":{"url":"{scheme}://{host}:{port}/{basePath}","description":"Generic server URL with all parts configurable","variables":{"scheme":{"default":"http"},"host":{"default":"localhost"},"port":{"default":"2333"},"basePath":{"default":""}}},"77b3bc50-020e-4478-93ea-269de6291b3d":{"url":"{scheme}://{host}/{basePath}","description":"Server URL when the port can be inferred from the scheme","variables":{"scheme":{"default":"http"},"host":{"default":"localhost"},"basePath":{"default":""}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{}}},"scopes":[],"schemeName":"OAuth2"},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"The access token received from the authorization server in the OAuth 2.0 flow.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"OAuth2","name":"Authorization"}],"title":"OAuth2"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"x-api-key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"enterprise/v1-13-0/api-reference/rest/openapi.yaml"},"subdomain":"lancedb-bcbb4faf","siteName":"LanceDB","title":"List all versions of a table - LanceDB","navMaps":{"firstHrefInVersion":{"1.14.0":{"href":"/enterprise/v1-14-0/api-reference/rest/table/list-all-versions-of-a-table","matchLevel":1},"1.13.0":{"href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table","matchLevel":0},"1.12.0":{"href":"/enterprise/v1-12-0/api-reference/rest/table/list-all-versions-of-a-table","matchLevel":1},"0.41.0":{"href":"/oss/v0-41-0","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-11-20T17:15:26.749Z","originalFileLocation":"enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List all versions (commits) of table id with their metadata. Use descending=true to guarantee versions are returned in descending order (latest to oldest). Otherwise, the ordering is implementation-defined. REST NAMESPACE ONLY REST namespace does not use a request body for this operation. The ListTableVersionsRequest information is passed in the following way: - id: pass through path parameter of the same name - page_token: pass through query parameter of the same name - limit: pass through query parameter of the same name - descending: pass through query parameter of the same name\">\u003cmeta data-mint-head name=\"application-name\" content=\"LanceDB\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List all versions of a table - LanceDB\">\u003cmeta data-mint-head property=\"og:description\" content=\"List all versions (commits) of table id with their metadata. Use descending=true to guarantee versions are returned in descending order (latest to oldest). Otherwise, the ordering is implementation-defined. REST NAMESPACE ONLY REST namespace does not use a request body for this operation. The ListTableVersionsRequest information is passed in the following way: - id: pass through path parameter of the same name - page_token: pass through query parameter of the same name - limit: pass through query parameter of the same name - descending: pass through query parameter of the same name\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"LanceDB\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://lancedb-bcbb4faf.mintlify.site/_mintlify/api/og/v2?division=Table\u0026amp;title=List+all+versions+of+a+table\u0026amp;description=List+all+versions+%28commits%29+of+table+%60id%60+with+their+metadata.%0A%0AUse+%60descending%3Dtrue%60+to+guarantee+versions+are+returned+in+descending+order+%28latest+to+oldest%29.\u0026amp;theme=9d8045ca9469df4ceece463f\u0026amp;signature=a6817b6d5c1fc71f285edd409c96e7a619dcd430b4418513c1a334504c8fdbde\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List all versions of a table - LanceDB\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List all versions (commits) of table id with their metadata. Use descending=true to guarantee versions are returned in descending order (latest to oldest). Otherwise, the ordering is implementation-defined. REST NAMESPACE ONLY REST namespace does not use a request body for this operation. The ListTableVersionsRequest information is passed in the following way: - id: pass through path parameter of the same name - page_token: pass through query parameter of the same name - limit: pass through query parameter of the same name - descending: pass through query parameter of the same name\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://lancedb-bcbb4faf.mintlify.site/_mintlify/api/og/v2?division=Table\u0026amp;title=List+all+versions+of+a+table\u0026amp;description=List+all+versions+%28commits%29+of+table+%60id%60+with+their+metadata.%0A%0AUse+%60descending%3Dtrue%60+to+guarantee+versions+are+returned+in+descending+order+%28latest+to+oldest%29.\u0026amp;theme=9d8045ca9469df4ceece463f\u0026amp;signature=a6817b6d5c1fc71f285edd409c96e7a619dcd430b4418513c1a334504c8fdbde\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"LanceDB\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF6B35\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.lancedb.com/#organization\",\"name\":\"LanceDB\",\"url\":\"https://docs.lancedb.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/lancedb-bcbb4faf/6L0IRVkfdlgMU1Pw/static/assets/logo/dark-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=6L0IRVkfdlgMU1Pw\u0026q=85\u0026s=d0592e59a29df2477080a857e13e341f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.lancedb.com#website\",\"name\":\"LanceDB\",\"url\":\"https://docs.lancedb.com\",\"publisher\":{\"@id\":\"https://docs.lancedb.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table#webpage\",\"url\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table\",\"name\":\"List all versions of a table\",\"description\":\"List all versions (commits) of table id with their metadata. Use descending=true to guarantee versions are returned in descending order (latest to oldest). Otherwise, the ordering is implementation-defined. REST NAMESPACE ONLY REST namespace does not use a request body for this operation. The ListTableVersionsRequest information is passed in the following way: - id: pass through path parameter of the same name - page_token: pass through query parameter of the same name - limit: pass through query parameter of the same name - descending: pass through query parameter of the same name\",\"dateModified\":\"2026-11-20T17:15:26.749Z\",\"isPartOf\":{\"@id\":\"https://docs.lancedb.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST API\",\"item\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Table\",\"item\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-tables\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List all versions of a table\",\"item\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table#apireference\",\"headline\":\"List all versions of a table\",\"name\":\"List all versions of a table\",\"description\":\"List all versions (commits) of table id with their metadata. Use descending=true to guarantee versions are returned in descending order (latest to oldest). Otherwise, the ordering is implementation-defined. REST NAMESPACE ONLY REST namespace does not use a request body for this operation. The ListTableVersionsRequest information is passed in the following way: - id: pass through path parameter of the same name - page_token: pass through query parameter of the same name - limit: pass through query parameter of the same name - descending: pass through query parameter of the same name\",\"url\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table\",\"mainEntityOfPage\":{\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table#webpage\"},\"dateModified\":\"2026-11-20T17:15:26.749Z\",\"publisher\":{\"@id\":\"https://docs.lancedb.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.lancedb.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"LanceDB\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"LanceDB\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table.md","siteName":"LanceDB","nav":{"global":null,"products":[{"product":"Enterprise","icon":"server","description":"Multimodal lakehouse","versions":[{"version":"1.14.0","default":true,"tag":"Latest","pages":[{"title":"1.14.0","href":"/enterprise/v1-14-0/api-reference/rest/table/list-all-versions-of-a-table"}]},{"version":"1.13.0","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/enterprise/v1-13-0"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/enterprise/v1-13-0/integrations"}]},{"tab":"Tutorials","pages":[{"title":"Tutorials","href":"/enterprise/v1-13-0/tutorials"}]},{"tab":"Demos","pages":[{"title":"Demos","href":"/enterprise/v1-13-0/demos"}]},{"tab":"Datasets","pages":[{"title":"Datasets","href":"/enterprise/v1-13-0/datasets"}]},{"tab":"API Reference","groups":[{"group":"REST API","pages":[{"title":"REST API Reference","sidebarTitle":"Overview","href":"/enterprise/v1-13-0/api-reference/rest"},{"group":"Namespace","pages":[{"title":"Create a new namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/create","href":"/enterprise/v1-13-0/api-reference/rest/namespace/create-a-new-namespace"},{"title":"List namespaces","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml get /v1/namespace/{id}/list","href":"/enterprise/v1-13-0/api-reference/rest/namespace/list-namespaces"},{"title":"Describe a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/describe","href":"/enterprise/v1-13-0/api-reference/rest/namespace/describe-a-namespace"},{"title":"Drop a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/drop","href":"/enterprise/v1-13-0/api-reference/rest/namespace/drop-a-namespace"},{"title":"Check if a namespace exists","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/exists","href":"/enterprise/v1-13-0/api-reference/rest/namespace/check-if-a-namespace-exists"},{"title":"List tables in a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml get /v1/namespace/{id}/table/list","href":"/enterprise/v1-13-0/api-reference/rest/namespace/list-tables-in-a-namespace"}]},{"group":"Table","pages":[{"title":"List all tables","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml get /v1/table","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-tables"},{"title":"Register a table to a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/register","href":"/enterprise/v1-13-0/api-reference/rest/table/register-a-table-to-a-namespace"},{"title":"Describe information of a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/describe","href":"/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table"},{"title":"Check if a table exists","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/exists","href":"/enterprise/v1-13-0/api-reference/rest/table/check-if-a-table-exists"},{"title":"Drop a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/drop","href":"/enterprise/v1-13-0/api-reference/rest/table/drop-a-table"},{"title":"Deregister a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/deregister","href":"/enterprise/v1-13-0/api-reference/rest/table/deregister-a-table"},{"title":"Restore table to a specific version","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/restore","href":"/enterprise/v1-13-0/api-reference/rest/table/restore-table-to-a-specific-version"},{"title":"Rename a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/rename","href":"/enterprise/v1-13-0/api-reference/rest/table/rename-a-table"},{"title":"Update table schema metadata","description":"Replace the schema metadata for table `id` with the provided key-value pairs.\n\nREST NAMESPACE ONLY\nREST namespace uses a direct object (map of string to string) as both request and response body\ninstead of the wrapped `UpdateTableSchemaMetadataRequest` and `UpdateTableSchemaMetadataResponse`.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/schema_metadata/update","href":"/enterprise/v1-13-0/api-reference/rest/table/update-table-schema-metadata"},{"title":"List all versions of a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table"},{"title":"Create a new table version","description":"Create a new version entry for table `id`.\n\nThis operation supports `put_if_not_exists` semantics.\nThe operation will fail with 409 Conflict if the version already exists.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/create","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-new-table-version"},{"title":"Describe a specific table version","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/describe","href":"/enterprise/v1-13-0/api-reference/rest/table/describe-a-specific-table-version"},{"title":"Delete table version records","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/delete","href":"/enterprise/v1-13-0/api-reference/rest/table/delete-table-version-records"},{"title":"Atomically create versions for multiple tables","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/version/batch-create","href":"/enterprise/v1-13-0/api-reference/rest/table/atomically-create-versions-for-multiple-tables"},{"title":"Atomically commit a batch of mixed table operations","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/batch-commit","href":"/enterprise/v1-13-0/api-reference/rest/table/atomically-commit-a-batch-of-mixed-table-operations"},{"title":"Modify existing columns","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/alter_columns","href":"/enterprise/v1-13-0/api-reference/rest/table/modify-existing-columns"},{"title":"Update per-field metadata","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/update_field_metadata","href":"/enterprise/v1-13-0/api-reference/rest/table/update-per-field-metadata"},{"title":"Remove columns from table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/drop_columns","href":"/enterprise/v1-13-0/api-reference/rest/table/remove-columns-from-table"},{"title":"Get table statistics","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/stats","href":"/enterprise/v1-13-0/api-reference/rest/table/get-table-statistics"},{"title":"Insert records into a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/insert","href":"/enterprise/v1-13-0/api-reference/rest/table/insert-records-into-a-table"},{"title":"Merge insert (upsert) records into a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/merge_insert","href":"/enterprise/v1-13-0/api-reference/rest/table/merge-insert-upsert-records-into-a-table"},{"title":"Update rows in a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/update","href":"/enterprise/v1-13-0/api-reference/rest/table/update-rows-in-a-table"},{"title":"Delete rows from a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/delete","href":"/enterprise/v1-13-0/api-reference/rest/table/delete-rows-from-a-table"},{"title":"Query a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/query","href":"/enterprise/v1-13-0/api-reference/rest/table/query-a-table"},{"title":"Count rows in a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/count_rows","href":"/enterprise/v1-13-0/api-reference/rest/table/count-rows-in-a-table"},{"title":"Create a table with the given name","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-table-with-the-given-name"},{"title":"Get query execution plan explanation","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/explain_plan","href":"/enterprise/v1-13-0/api-reference/rest/table/get-query-execution-plan-explanation"},{"title":"Analyze query execution plan","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/analyze_plan","href":"/enterprise/v1-13-0/api-reference/rest/table/analyze-query-execution-plan"},{"title":"Add new columns to table schema","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/add_columns","href":"/enterprise/v1-13-0/api-reference/rest/table/add-new-columns-to-table-schema"},{"title":"Trigger an async column backfill job","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/backfill_column","href":"/enterprise/v1-13-0/api-reference/rest/table/trigger-an-async-column-backfill-job"},{"title":"Create an index on a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create_index","href":"/enterprise/v1-13-0/api-reference/rest/table/create-an-index-on-a-table"},{"title":"Create a scalar index on a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create_scalar_index","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-scalar-index-on-a-table"},{"title":"List indexes on a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-indexes-on-a-table"},{"title":"Get table index statistics","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/{index_name}/stats","href":"/enterprise/v1-13-0/api-reference/rest/table/get-table-index-statistics"},{"title":"Drop a specific index","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/{index_name}/drop","href":"/enterprise/v1-13-0/api-reference/rest/table/drop-a-specific-index"},{"title":"List all tags for a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-tags-for-a-table"},{"title":"Get version for a specific tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/version","href":"/enterprise/v1-13-0/api-reference/rest/table/get-version-for-a-specific-tag"},{"title":"Declare a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/declare","href":"/enterprise/v1-13-0/api-reference/rest/table/declare-a-table"},{"title":"Create a new tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/create","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-new-tag"},{"title":"Delete a tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/delete","href":"/enterprise/v1-13-0/api-reference/rest/table/delete-a-tag"},{"title":"Update a tag to point to a different version","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/update","href":"/enterprise/v1-13-0/api-reference/rest/table/update-a-tag-to-point-to-a-different-version"},{"title":"List all branches for a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-branches-for-a-table"},{"title":"Create a new branch","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/create","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-new-branch"},{"title":"Delete a branch","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/delete","href":"/enterprise/v1-13-0/api-reference/rest/table/delete-a-branch"}]},{"group":"MaterializedView","pages":[{"title":"Trigger an async materialized view refresh","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/materialized_view/{id}/refresh","href":"/enterprise/v1-13-0/api-reference/rest/materializedview/trigger-an-async-materialized-view-refresh"},{"title":"Create a materialized view","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/materialized_view/{id}/create","href":"/enterprise/v1-13-0/api-reference/rest/materializedview/create-a-materialized-view"}]},{"group":"Transaction","pages":[{"title":"Describe information about a transaction","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/transaction/{id}/describe","href":"/enterprise/v1-13-0/api-reference/rest/transaction/describe-information-about-a-transaction"},{"title":"Alter information of a transaction.","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/transaction/{id}/alter","href":"/enterprise/v1-13-0/api-reference/rest/transaction/alter-information-of-a-transaction"}]}]},{"group":"SDK references","pages":[{"title":"Python","icon":"python","url":"https://lancedb.github.io/lancedb/python/python/","href":"/enterprise/v1-13-0/api-reference/sdk/python"},{"title":"TypeScript","icon":"square-js","url":"https://lancedb.github.io/lancedb/js/","href":"/enterprise/v1-13-0/api-reference/sdk/typescript"},{"title":"Rust","icon":"rust","url":"https://docs.rs/lancedb/latest/lancedb/index.html","href":"/enterprise/v1-13-0/api-reference/sdk/rust"}]}]}]},{"version":"1.12.0","pages":[{"title":"1.12.0","href":"/enterprise/v1-12-0/api-reference/rest/table/list-all-versions-of-a-table"}]}]},{"product":"Embedded","icon":"database","description":"Open-source library","pages":[{"title":"Embedded","href":"/oss/v0-41-0"}]}]},"basePath":"","title":"List all versions of a table - LanceDB","deploymentId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","buildId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["BannerMarkdown-DnSAhvaM.js","dist-DIfYWxfm.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-CrDfRf61.js","snippetPresets-Dv-cOUrx.js","utils-BUTreAgv.js","style-to-object-BY3JEAdk.js","utils-wsznt9RM.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DEsMlaPy.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DontW4xJ.js","_Uint8Array-pP7X6_RM.js","isObject-FP1Yky1u.js","ApiExamples-CU_aGGP0.js","usePlaygroundInputsStore-7dNmUIbS.js","shallow-fTtruD8x.js","isEqual-BRfNFpSD.js","CodeSnippets-52884wUJ.js","CodeSnippet-eoRjC4Le.js","getApiPlaygroundDisplay-CZyAPlR2.js","Page-Cr9IwkK7.js","DynamicMarkdown-NFqqduU7.js","SectionHeading-DQ-mJoAt.js","icon-DXTBUt6s.js","MethodPill-2v-b3js5.js","getPastedJson-v_8Y1_4v.js","DuplicateIcon-DXIkhZIo.js","createIcon-DRpYuPZs.js","axios-CsQoIw0U.js","Markdown-CwtoSfEf.js","AssistantPageLink-CTqa3eoi.js"]}